* {
    font-family:  'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    /* background-color: rgb(255, 226, 191); */
}

header {
    display: grid;
    grid-template-columns: 5rem 1fr 5rem;
    /* height: 3.25rem; */
    border-bottom: 3px solid black;
    background-color: white;
    z-index: 500;
    position: fixed;
    width: 100vw;
    transition: height .3s;
    overflow: hidden;
    top: 0px;
}

ul {
    display: flex;
    justify-content: center;
    transition: height 1s;    
}

nav ul li {
    display: flex;
    align-items: center;
    font-size: clamp(1.2rem, .6vw + 0.6rem, 2.4rem);
    font-weight: 600;
    padding: 0px 30px;
    padding-bottom: 6px;
    height: 3.25rem;
    border-inline: 3px solid transparent;
    /* text-transform: uppercase; */
}

nav ul li:hover {
    cursor: pointer;
    background-color: rgb(216, 216, 216);
    border-inline: 3px solid black;
}

.menu-icon {
    display: none;
    justify-self: center;
    padding-right: 1rem;
    margin-top: .4rem;
    font-size: 2rem;
    cursor: pointer;
}

.bar1, .bar2, .bar3 {
    width: 35px;
    height: 5px;
    background-color: black;
    margin: 6px 0;
    transition: 0.4s;
}

.change .bar1 {
    transform: translate(0, 11px) rotate(-45deg);
  }
  
.change .bar2 {opacity: 0;}
  
.change .bar3 {
    transform: translate(0, -11px) rotate(45deg);
}

@media (max-width: 700px) {
    nav {
        min-height: 3rem;
    }
    .display-none {
        display: none;
    }
    .display-block {
        display:block;
    }
    ul {
        display: none;
        background-color: white;
        padding-block:3rem 1rem;
        margin: auto;
        > * {
            justify-content: center;
        }
    }
    .menu-icon {
        display: inline-block;
    }
}

@media (min-width: 700px) {
    header {
        height: 3.25rem !important;
    }

}

.page {
    display: none;
}
.page.active {
    display: block;
}








